def can_form_correct_dice(numbers):
    total_sum = sum(numbers)


    if total_sum % 3 != 0:
        return "no"

    target = total_sum // 3


    from collections import Counter
    count = Counter(numbers)


    for _ in range(3):
        current_sum = 0
        for num in sorted(count.keys(), reverse=True):
            while count[num] > 0 and current_sum + num <= target:
                current_sum += num
                count[num] -= 1
                if current_sum == target:
                    break
            if current_sum == target:
                break


        if current_sum != target:
            return "no"

    return "yes"


n = int(input())
results = []
for _ in range(n):
    numbers = list(map(int, input().split()))
    results.append(can_form_correct_dice(numbers))


print("\n".join(results))












